import 'package:fis_ui/base_define/page.dart';
import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:flyinsono/architecture/define.dart';
import 'package:flyinsono/pages/upgrade/upgrade_controller.dart';
import 'package:flyinsono/pages/upgrade/upgrade_wrapper.dart';

///更新对话框
class UpgradeWrappedDialog extends FisView<UpgradeController> implements FPage {
  @override
  final String pageName;
  final bool forceCheckUpgrade;
  UpgradeWrappedDialog({
    Key? key,
    required this.forceCheckUpgrade,
    this.pageName = 'UpgradeWrappedDialog',
  }) : super(key: key);

  @override
  FWidget build(BuildContext context) {
    UpgradeWrapper.invokeUpgradeDirectly(context, forceCheckUpgrade);
    return FContainer();
  }
}
